Join us for an upcoming Shopify Partner webinar on February 27, 2024. Discover the latest Checkout Extensibility features, and deep dive on improvements to Shopify Functions and Web Pixels. Register now for either the 10am EST or 2pm EST sessions.
Solved

Does older versions of Online Store support App Extensions?

IvanHelguera
Shopify Partner
2 0 0

My app got rejected due to the following reason:

 

 

Your app is currently using ScriptTag API. Update your app to theme app extensions to ensure compatibility with Online Store 2.0 themes

Should I just add app extensions compatibility, or should I get rid of ScriptTag API and replace it completely by app extensions? If I replace ScriptTag API by App Extensions then I am wondering if shops with older versions of themes will be able to use my app.

 

So, does older versions of Online Store support App Extensions? Is it backward compatible? If it's not compatible, then how can I know which version of Online Store theme shop is using to choose proper approach?

 

Accepted Solution (1)

Tülin
Shopify Staff (Retired)
1 1 0

This is an accepted solution.

Hello @IvanHelguera

We recommend replacing ScriptTag API with App embed blocksApp embed blocks are supported in vintage and in Online Store 2.0 themes, because they don't rely on sections or JSON templates.

To learn more visit the Shopify Help Center or the Community Blog.

View solution in original post

Replies 2 (2)

Tülin
Shopify Staff (Retired)
1 1 0

This is an accepted solution.

Hello @IvanHelguera

We recommend replacing ScriptTag API with App embed blocksApp embed blocks are supported in vintage and in Online Store 2.0 themes, because they don't rely on sections or JSON templates.

To learn more visit the Shopify Help Center or the Community Blog.

IvanHelguera
Shopify Partner
2 0 0

So I can safely replace ScriptTag without losing any % of total amount of customers(shops)?